PIN Code Lookup

Instantpay's PIN Code Verification Service gives businesses data on specific postal PIN codes. This helps them make better decisions and work more efficiently. This service verifies a PIN code. It then provides detailed location info. This helps with logistics, service delivery, and demographics.

The PIN Code Verification Service is ideal for businesses needing accurate regional data. It helps ensure compliance with specific geographic requirements. Use this solution to streamline location-based processes. It will improve customer service and support planning with accurate data.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code is "1" (Fixed)MY
X-Ipay-Client-IdStringUnique Client ID Provided by InstantpayMY
X-Ipay-Client-SecretStringUnique Client Secret Provided by InstantpayMY
X-Ipay-Endpoint-IpStringEnd customer IP AddressMY

Request Parameters

Parameter NameTypeRequirementDescription
pincodeStringMandatoryPin Code
latitudeStringMandatoryEnd Customer Latitude
longitudeStringMandatoryEnd Customer Longitude
externalRefStringMandatoryUnique Transaction id

Sample Request

curl --location 'https://api.instantpay.in/identity/pincode/lookup' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--data '{
    "pincode": "49.249.72.66",
    "latitude": "27.897394",
    "longitude": "78.088013",
    "externalRef": "233"
}'
POST /identity/pincode/lookup HTTP/1.1
Host: api.instantpay.in
Accept: application/json
Content-Type: application/json
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549Gzt+5IEcETrD5Yx+Q=
X-Ipay-Client-Secret: 679db35f926b8d0240a8c0d28729528ee8e6d5effa5fa0b20c04454004d2d825
X-Ipay-Endpoint-Ip: 45.115.105.205
Content-Length: 118

{
    "pincode": "49.249.72.66",
    "latitude": "27.897394",
    "longitude": "78.088013",
    "externalRef": "233"
}

Response Parameters

Parameter NameTypeDescription
statuscodeStringInstantpay Status Code
actcodeStringAction Code
statusArrayStatus message
dataStringResponse Data(if Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id (if transaction; otherwise, it is null)
environmentStringLive/Sandbox
{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "poolReferenceId": "1230918180511SJUVR",
        "pool": {
            "account": "7428585742",
            "openingBal": "6.93",
            "mode": "DR",
            "amount": "0.12",
            "closingBal": "6.81"
        },
        "pincodeDetails": {
            "pincode": "110025",
            "city": "",
            "district": "SOUTH DELHI",
            "stateName": "DELHI",
            "stateCode": "DL",
            "gstStateCode": "07",
            "stateZone": "N",
            "geoLat": "28.5621470000",
            "geoLong": "77.4532100000"
        }
    },
    "timestamp": "2023-09-18 18:05:11",
    "ipay_uuid": "h0689a29bcc1-26e3-4989-8308-d5e3398ee686-ipPleKMgk49d",
    "orderid": "1230918180511SJUVR",
    "environment": "LIVE",
    "internalCode": null
}
Body Params
string

pin code.

string

End Customer Latitude.

string

End Customer Longitude.

string

Your Unique Transaction id

Headers
string
Defaults to 1

Auth Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json